
From: Adrian Bunk <bunk@stusta.de>

There's no need for a function that only calls kfree.

Signed-off-by: Adrian Bunk <bunk@stusta.de>

---

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/atm/resources.c |   11 +++--------
 1 files changed, 3 insertions(+), 8 deletions(-)

diff -puN net/atm/resources.c~net-atm-resourcesc-remove-__free_atm_dev net/atm/resources.c
--- 25/net/atm/resources.c~net-atm-resourcesc-remove-__free_atm_dev	2005-03-24 18:17:57.000000000 -0800
+++ 25-akpm/net/atm/resources.c	2005-03-24 18:17:57.000000000 -0800
@@ -44,11 +44,6 @@ static struct atm_dev *__alloc_atm_dev(c
 	return dev;
 }
 
-static void __free_atm_dev(struct atm_dev *dev)
-{
-	kfree(dev);
-}
-
 static struct atm_dev *__atm_dev_lookup(int number)
 {
 	struct atm_dev *dev;
@@ -90,7 +85,7 @@ struct atm_dev *atm_dev_register(const c
 		if ((inuse = __atm_dev_lookup(number))) {
 			atm_dev_put(inuse);
 			spin_unlock(&atm_dev_lock);
-			__free_atm_dev(dev);
+			kfree(dev);
 			return NULL;
 		}
 		dev->number = number;
@@ -119,7 +114,7 @@ struct atm_dev *atm_dev_register(const c
 		spin_lock(&atm_dev_lock);
 		list_del(&dev->dev_list);
 		spin_unlock(&atm_dev_lock);
-		__free_atm_dev(dev);
+		kfree(dev);
 		return NULL;
 	}
 
@@ -148,7 +143,7 @@ void atm_dev_deregister(struct atm_dev *
                 }
         }
 
-	__free_atm_dev(dev);
+	kfree(dev);
 }
 
 void shutdown_atm_dev(struct atm_dev *dev)
_
